<?php

/**
* getLookupMainTableSettings - tests whether the lookup link exists between the tables
*
*  returns array with ProjectSettings class for main table if the link exists in project settings.
*  returns NULL otherwise
*/
function getLookupMainTableSettings($lookupTable, $mainTableShortName, $mainField, $desiredPage = "")
{
	global $lookupTableLinks;
	if(!isset($lookupTableLinks[$lookupTable]))
		return null;
	if(!isset($lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField]))
		return null;
	$arr = &$lookupTableLinks[$lookupTable][$mainTableShortName.".".$mainField];
	$effectivePage = $desiredPage;
	if(!isset($arr[$effectivePage]))
	{
		$effectivePage = PAGE_EDIT;
		if(!isset($arr[$effectivePage]))
		{
			if($desiredPage == "" && 0 < count($arr))
			{
				$effectivePage = $arr[0];
			}
			else
				return null;
		}
	}
	return new ProjectSettings($arr[$effectivePage]["table"], $effectivePage);
}

/** 
* $lookupTableLinks array stores all lookup links between tables in the project
*/
function InitLookupLinks()
{
	global $lookupTableLinks;

	$lookupTableLinks = array();

		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.ci_procedencia"] )) {
			$lookupTableLinks["aux"]["socio.ci_procedencia"] = array();
		}
		$lookupTableLinks["aux"]["socio.ci_procedencia"]["edit"] = array("table" => "socio", "field" => "ci_procedencia", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.depto_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio.depto_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio.depto_Nacimiento"]["edit"] = array("table" => "socio", "field" => "depto_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.estado"] )) {
			$lookupTableLinks["aux"]["socio.estado"] = array();
		}
		$lookupTableLinks["aux"]["socio.estado"]["edit"] = array("table" => "socio", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.tipo_Doc"] )) {
			$lookupTableLinks["aux"]["socio.tipo_Doc"] = array();
		}
		$lookupTableLinks["aux"]["socio.tipo_Doc"]["edit"] = array("table" => "socio", "field" => "tipo_Doc", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.pais_Nacimiento"] )) {
			$lookupTableLinks["aux"]["socio.pais_Nacimiento"] = array();
		}
		$lookupTableLinks["aux"]["socio.pais_Nacimiento"]["edit"] = array("table" => "socio", "field" => "pais_Nacimiento", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.sexo"] )) {
			$lookupTableLinks["aux"]["socio.sexo"] = array();
		}
		$lookupTableLinks["aux"]["socio.sexo"]["edit"] = array("table" => "socio", "field" => "sexo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.estado_Civil"] )) {
			$lookupTableLinks["aux"]["socio.estado_Civil"] = array();
		}
		$lookupTableLinks["aux"]["socio.estado_Civil"]["edit"] = array("table" => "socio", "field" => "estado_Civil", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["socio.tipo_accionista"] )) {
			$lookupTableLinks["aux"]["socio.tipo_accionista"] = array();
		}
		$lookupTableLinks["aux"]["socio.tipo_accionista"]["edit"] = array("table" => "socio", "field" => "tipo_accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["empresa"] ) ) {
			$lookupTableLinks["empresa"] = array();
		}
		if( !isset( $lookupTableLinks["empresa"]["gestion.id_Empresa"] )) {
			$lookupTableLinks["empresa"]["gestion.id_Empresa"] = array();
		}
		$lookupTableLinks["empresa"]["gestion.id_Empresa"]["edit"] = array("table" => "gestion", "field" => "id_Empresa", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["derecho_propietario.accionista"] )) {
			$lookupTableLinks["socio"]["derecho_propietario.accionista"] = array();
		}
		$lookupTableLinks["socio"]["derecho_propietario.accionista"]["edit"] = array("table" => "derecho_propietario", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.clase_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "clase_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.estado_Pago"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.estado_Pago"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.estado_Pago"]["edit"] = array("table" => "derecho_propietario", "field" => "estado_Pago", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["derecho_propietario.gestion"] )) {
			$lookupTableLinks["gestion"]["derecho_propietario.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["derecho_propietario.gestion"]["edit"] = array("table" => "derecho_propietario", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.gravamen"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.gravamen"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.gravamen"]["edit"] = array("table" => "derecho_propietario", "field" => "gravamen", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_folio"] ) ) {
			$lookupTableLinks["correlativo_folio"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_folio"]["derecho_propietario.nro_Folio"] )) {
			$lookupTableLinks["correlativo_folio"]["derecho_propietario.nro_Folio"] = array();
		}
		$lookupTableLinks["correlativo_folio"]["derecho_propietario.nro_Folio"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Folio", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_partida"] ) ) {
			$lookupTableLinks["correlativo_partida"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Partido"] )) {
			$lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Partido"] = array();
		}
		$lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Partido"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Partido", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_partida"] ) ) {
			$lookupTableLinks["correlativo_partida"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Titulo"] )) {
			$lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Titulo"] = array();
		}
		$lookupTableLinks["correlativo_partida"]["derecho_propietario.nro_Titulo"]["edit"] = array("table" => "derecho_propietario", "field" => "nro_Titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.serie_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "serie_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.tipo_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "tipo_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario.estado_titulo"] )) {
			$lookupTableLinks["aux"]["derecho_propietario.estado_titulo"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario.estado_titulo"]["edit"] = array("table" => "derecho_propietario", "field" => "estado_titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["acciones"] ) ) {
			$lookupTableLinks["acciones"] = array();
		}
		if( !isset( $lookupTableLinks["acciones"]["derecho_propietario.saldo_Acciones"] )) {
			$lookupTableLinks["acciones"]["derecho_propietario.saldo_Acciones"] = array();
		}
		$lookupTableLinks["acciones"]["derecho_propietario.saldo_Acciones"]["edit"] = array("table" => "derecho_propietario", "field" => "saldo_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario3"] ) ) {
			$lookupTableLinks["derecho_propietario3"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario3"]["pago_dp.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario3"]["pago_dp.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario3"]["pago_dp.derecho_Propietario"]["edit"] = array("table" => "pago_dp", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["pago_dp.accionista"] )) {
			$lookupTableLinks["socio"]["pago_dp.accionista"] = array();
		}
		$lookupTableLinks["socio"]["pago_dp.accionista"]["edit"] = array("table" => "pago_dp", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_dp.estado"] )) {
			$lookupTableLinks["aux"]["pago_dp.estado"] = array();
		}
		$lookupTableLinks["aux"]["pago_dp.estado"]["edit"] = array("table" => "pago_dp", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_dp.tipo_pago"] )) {
			$lookupTableLinks["aux"]["pago_dp.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["pago_dp.tipo_pago"]["edit"] = array("table" => "pago_dp", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario3"] ) ) {
			$lookupTableLinks["derecho_propietario3"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario3"]["entrega_dp.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario3"]["entrega_dp.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario3"]["entrega_dp.derecho_Propietario"]["edit"] = array("table" => "entrega_dp", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["entrega_dp.estado"] )) {
			$lookupTableLinks["aux"]["entrega_dp.estado"] = array();
		}
		$lookupTableLinks["aux"]["entrega_dp.estado"]["edit"] = array("table" => "entrega_dp", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["socio"] ) ) {
			$lookupTableLinks["socio"] = array();
		}
		if( !isset( $lookupTableLinks["socio"]["entrega_dp.accionista"] )) {
			$lookupTableLinks["socio"]["entrega_dp.accionista"] = array();
		}
		$lookupTableLinks["socio"]["entrega_dp.accionista"]["edit"] = array("table" => "entrega_dp", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["derechos_propietarios.gestion"] )) {
			$lookupTableLinks["gestion"]["derechos_propietarios.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["derechos_propietarios.gestion"]["edit"] = array("table" => "Derechos_Propietarios", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["derecho_propietario3"] ) ) {
			$lookupTableLinks["derecho_propietario3"] = array();
		}
		if( !isset( $lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"] )) {
			$lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"] = array();
		}
		$lookupTableLinks["derecho_propietario3"]["pago_biometrico.derecho_Propietario"]["edit"] = array("table" => "Pago_Biometrico", "field" => "derecho_Propietario", "page" => "edit");
		if( !isset( $lookupTableLinks[""] ) ) {
			$lookupTableLinks[""] = array();
		}
		if( !isset( $lookupTableLinks[""]["pago_biometrico.accionista"] )) {
			$lookupTableLinks[""]["pago_biometrico.accionista"] = array();
		}
		$lookupTableLinks[""]["pago_biometrico.accionista"]["edit"] = array("table" => "Pago_Biometrico", "field" => "accionista", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_biometrico.estado"] )) {
			$lookupTableLinks["aux"]["pago_biometrico.estado"] = array();
		}
		$lookupTableLinks["aux"]["pago_biometrico.estado"]["edit"] = array("table" => "Pago_Biometrico", "field" => "estado", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["pago_biometrico.tipo_pago"] )) {
			$lookupTableLinks["aux"]["pago_biometrico.tipo_pago"] = array();
		}
		$lookupTableLinks["aux"]["pago_biometrico.tipo_pago"]["edit"] = array("table" => "Pago_Biometrico", "field" => "tipo_pago", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario3.clase_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario3.clase_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario3.clase_Acciones"]["edit"] = array("table" => "derecho_propietario3", "field" => "clase_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario3.estado_Pago"] )) {
			$lookupTableLinks["aux"]["derecho_propietario3.estado_Pago"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario3.estado_Pago"]["edit"] = array("table" => "derecho_propietario3", "field" => "estado_Pago", "page" => "edit");
		if( !isset( $lookupTableLinks["gestion"] ) ) {
			$lookupTableLinks["gestion"] = array();
		}
		if( !isset( $lookupTableLinks["gestion"]["derecho_propietario3.gestion"] )) {
			$lookupTableLinks["gestion"]["derecho_propietario3.gestion"] = array();
		}
		$lookupTableLinks["gestion"]["derecho_propietario3.gestion"]["edit"] = array("table" => "derecho_propietario3", "field" => "gestion", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario3.gravamen"] )) {
			$lookupTableLinks["aux"]["derecho_propietario3.gravamen"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario3.gravamen"]["edit"] = array("table" => "derecho_propietario3", "field" => "gravamen", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_folio"] ) ) {
			$lookupTableLinks["correlativo_folio"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_folio"]["derecho_propietario3.nro_Folio"] )) {
			$lookupTableLinks["correlativo_folio"]["derecho_propietario3.nro_Folio"] = array();
		}
		$lookupTableLinks["correlativo_folio"]["derecho_propietario3.nro_Folio"]["edit"] = array("table" => "derecho_propietario3", "field" => "nro_Folio", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_partida"] ) ) {
			$lookupTableLinks["correlativo_partida"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Partido"] )) {
			$lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Partido"] = array();
		}
		$lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Partido"]["edit"] = array("table" => "derecho_propietario3", "field" => "nro_Partido", "page" => "edit");
		if( !isset( $lookupTableLinks["correlativo_partida"] ) ) {
			$lookupTableLinks["correlativo_partida"] = array();
		}
		if( !isset( $lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Titulo"] )) {
			$lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Titulo"] = array();
		}
		$lookupTableLinks["correlativo_partida"]["derecho_propietario3.nro_Titulo"]["edit"] = array("table" => "derecho_propietario3", "field" => "nro_Titulo", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario3.serie_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario3.serie_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario3.serie_Acciones"]["edit"] = array("table" => "derecho_propietario3", "field" => "serie_Acciones", "page" => "edit");
		if( !isset( $lookupTableLinks["aux"] ) ) {
			$lookupTableLinks["aux"] = array();
		}
		if( !isset( $lookupTableLinks["aux"]["derecho_propietario3.tipo_Acciones"] )) {
			$lookupTableLinks["aux"]["derecho_propietario3.tipo_Acciones"] = array();
		}
		$lookupTableLinks["aux"]["derecho_propietario3.tipo_Acciones"]["edit"] = array("table" => "derecho_propietario3", "field" => "tipo_Acciones", "page" => "edit");
}

?>